@node summary Invocation
@section Invoking summary
@pindex summary
@cindex compute various stastics from NTP stat files
@ignore
#
# EDIT THIS FILE WITH CAUTION  (invoke-summary.texi)
#
# It has been AutoGen-ed  April 26, 2016 at 08:25:06 PM by AutoGen 5.18.5
# From the definitions    summary-opts.def
# and the template file   agtexi-cmd.tpl
@end ignore




This section was generated by @strong{AutoGen},
using the @code{agtexi-cmd} template and the option descriptions for the @code{summary} program.

@menu
* summary usage::                  summary help/usage (@option{--help})
* summary directory::              directory option
* summary end-date::               end-date option
* summary output-directory::       output-directory option
* summary start-date::             start-date option
* summary exit status::            exit status
@end menu

@node summary usage
@subsection summary help/usage (@option{--help})
@cindex summary help

This is the automatically generated usage text for summary.

The text printed is the same whether selected with the @code{help} option
(@option{--help}) or the @code{more-help} option (@option{--more-help}).  @code{more-help} will print
the usage text by passing it through a pager program.
@code{more-help} is disabled on platforms without a working
@code{fork(2)} function.  The @code{PAGER} environment variable is
used to select the program, defaulting to @file{more}.  Both will exit
with a status code of 0.

@exampleindent 0
@example
summary - compute various stastics from NTP stat files - Ver. 4.2.8p7
USAGE: summary [ -<flag> [<val>] | --<name>[@{=| @}<val>] ]... 

        --directory=str          Directory containing stat files
        --end-date=num           End date
        --output-directory=str   Output directory
        --peer-dist-limit=float  Peer dist limit
        --skip-time-steps=float  Ignore time offsets larger that this
        --start-date=num         Start date
    -?, --help                   Display usage information and exit
        --more-help              Pass the extended usage text through a pager

Options are specified by doubled hyphens and their name or by a single
hyphen and the flag character.
@end example
@exampleindent 4

@node summary directory
@subsection directory option
@cindex summary-directory

This is the ``directory containing stat files'' option.
This option takes a string argument.
        The directory where @code{ntpd} will search for .stat files generated
        by @code{ntpd}.
@node summary end-date
@subsection end-date option
@cindex summary-end-date

This is the ``end date'' option.
This option takes a number argument.
        Process all files with the date suffix less or equal to value of this
        option.  Defaults to today minus one day (Use @code{date -u +%Y%m%d})
        to get the timestamp.
@node summary output-directory
@subsection output-directory option
@cindex summary-output-directory

This is the ``output directory'' option.
This option takes a str argument.
        The output directory @code{summary} will write all output files to.
@node summary start-date
@subsection start-date option
@cindex summary-start-date

This is the ``start date'' option.
This option takes a num argument.
        Process all files with the date suffix more or equal to value of
        this option.  Defaults to 197000101.
@node summary exit status
@subsection summary exit status

One of the following exit values will be returned:
@table @samp
@item 0 (EXIT_SUCCESS)
Successful program execution.
@item 1 (EXIT_FAILURE)
The operation failed or the command syntax was not valid.
@end table
